> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/test/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/test/compute/vm/image/modifyimagesattributes.md).

# ModifyImagesAttributes

## 1. 接口描述

本接口(ModifyImagesAttributes)用于修改镜像属性。

{% hint style="info" %}
**注意事项**

* 目前支持修改自定义镜像的属性有：
* 镜像名称。
* 镜像描述。
* 如果传入多个镜像ID，仅支持所有镜像修改为同一属性。
* 只可修改自定义镜像的属性。
  {% endhint %}

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

| 参数名称             | 必选 | 类型              | 描述                                                 |
| ---------------- | -- | --------------- | -------------------------------------------------- |
| imageIds         | 是  | Array of String | <p>镜像ID集合。</p><p>可从DescribeImages返回的imageId获取。</p> |
| imageDescription | 否  | String          | <p>新的镜像描述。</p><p>描述信息不得超过255个字符。</p>               |
| imageName        | 否  | String          | <p>新的镜像名称。</p><p>长度不超过24位，支持中文、字母、数字或连接符号-\_。</p>  |

## 3. 响应结果

| 参数名称      | 类型     | 描述                                                       |
| --------- | ------ | -------------------------------------------------------- |
| requestId | String | <p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 requestId。</p> |

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}
**1. 修改镜像属性。**

```json
POST /api/v2/vm HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: ModifyImagesAttributes
<Common Request Params>

Request:
{
  "imageIds": [
    "img-xxxxx"
  ],
  "imageDescription": "test-description",
  "imageName": "test-imageName"
}

Response:
{
  "requestId": "TE5661D09-28A7-4BDA-ACB1-106EDD916682",
  "response": {
    "requestId": "TE5661D09-28A7-4BDA-ACB1-106EDD916682"
  }
}
```

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[开发工具集（SDK）](/test/api-introduction/toolkit.md)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](/test/api-introduction/instruction/commonerrorcode.md)

| HTTP状态码 | 错误码 | 说明 |
| ------- | --- | -- |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.console.zenlayer.com/test/compute/vm/image/modifyimagesattributes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
